Bug 2719 - Crash after deleting attachment
Summary: Crash after deleting attachment
Status: RESOLVED WORKSFORME
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Plugins (show other bugs)
Version: 3.7.8
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-08-07 15:08 CEST by uppercaise
Modified: 2012-11-30 19:36 CET (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description uppercaise 2012-08-07 15:08:06 CEST
The following is the crash report produced by Claws-Mail

Claws Mail version 3.7.8
GTK+ version 2.24.4 / GLib 2.28.6
Locale: en_GB.utf8 (charset: UTF-8)
Features: IPv6 iconv compface GnuTLS LDAP JPilot GNU/aspell libetpan libSM
Operating system: Linux 2.6.38.8-desktop-10.mga (i686)
C Library: GNU libc 2.12.1
--
[Thread debugging using libthread_db enabled]
0xffffe424 in __kernel_vsyscall ()
#0  0xffffe424 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb6d9d053 in __waitpid_nocancel () from /lib/i686/libpthread.so.0
No symbol table info available.
#2  0x080d6778 in ?? ()
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x081e0884 in procmsg_msginfo_copy ()
No symbol table info available.
#5  0xaffe1415 in ?? () from /usr/lib/claws-mail/plugins/att_remover.so
No symbol table info available.
#6  0xb70c195c in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#7  0xb70a52a3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#8  0xb70b7dcc in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#9  0xb70c0f74 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#10 0xb70c1103 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#11 0xb744b87a in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0xb744cc48 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0xb70c195c in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#14 0xb70a3c1d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#15 0xb70a52a3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#16 0xb70b750f in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#17 0xb70c0f74 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#18 0xb70c1103 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#19 0xb744b79a in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#20 0xb744b7e3 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#21 0xb7509354 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0xb70a3c1d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0xb70a52a3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#24 0xb70b7bbf in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#25 0xb70c0d6a in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#26 0xb70c1103 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#27 0xb763ef56 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0xb75074dd in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0xb75078df in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0xb737c79a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#31 0xb6fe24d9 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#32 0xb6fe2ce0 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#33 0xb6fe2f9a in g_main_context_iteration () from /lib/libglib-2.0.so.0
No symbol table info available.
#34 0xb7506824 in gtk_main_iteration () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#35 0x081ff2c5 in summary_select_node ()
No symbol table info available.
#36 0x08206cb8 in summary_show ()
No symbol table info available.
#37 0x08108a0f in ?? ()
No symbol table info available.
#38 0x08231651 in ?? ()
No symbol table info available.
#39 0xb6fd209e in g_hook_list_marshal () from /lib/libglib-2.0.so.0
No symbol table info available.
#40 0x08231e23 in hooks_invoke ()
No symbol table info available.
#41 0x080f5963 in ?? ()
No symbol table info available.
#42 0x080f586b in ?? ()
No symbol table info available.
#43 0xb6fec05a in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#44 0xb6fec017 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#45 0xb6fecd60 in g_node_traverse () from /lib/libglib-2.0.so.0
No symbol table info available.
#46 0x080f8e7d in folder_func_to_all_folders ()
No symbol table info available.
#47 0x080fcf8c in folder_item_update_thaw ()
No symbol table info available.
#48 0xaffe1759 in ?? () from /usr/lib/claws-mail/plugins/att_remover.so
No symbol table info available.
#49 0xb70c195c in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#50 0xb70a5384 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#51 0xb70b7dcc in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#52 0xb70c0f74 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#53 0xb70c1103 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#54 0xb744b87a in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#55 0xb744cc48 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#56 0xb70c195c in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#57 0xb70a3c1d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#58 0xb70a5384 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#59 0xb70b750f in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#60 0xb70c0f74 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#61 0xb70c1103 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#62 0xb744b79a in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#63 0xb744b7e3 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#64 0xb7509354 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#65 0xb70a3c1d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#66 0xb70a5384 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#67 0xb70b7bbf in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#68 0xb70c0d6a in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#69 0xb70c1103 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#70 0xb763ef56 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#71 0xb75074dd in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#72 0xb75078df in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#73 0xb737c79a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#74 0xb6fe24d9 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#75 0xb6fe2ce0 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#76 0xb6fe33ab in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#77 0xb75065a9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#78 0x0813f704 in main ()
No symbol table info available.
Kill the program being debugged? (y or n) [answered Y; input not from terminal]
Comment 1 Ricardo Mones 2012-08-08 16:45:24 CEST
Works here with current CVS.
Can you upgrade at least to 3.8.1 and check if it's already fixed?
Comment 2 uppercaise 2012-08-08 21:25:04 CEST
CM-3.7.8 was from the Mageia 1 distribution running on a netbook. I've now managed to compile CM-3.8.1 but the att_remover plugin compile stops on "fatal error: config.h: No such file or directory". The Mageia plugin rpm for Mageia 2 is for CM-3.8.0-3 and won't load on CM-3.8.1. This is as far as I can go with my limited knowledge.
Comment 3 Ricardo Mones 2012-08-09 09:01:47 CEST
Maybe the Mageia maintainer can provide some updated or backported packages for 3.8.1.
Comment 4 uppercaise 2012-08-09 12:27:29 CEST
I'll ask at the Mageia list if that's possible, thanks.
Comment 5 Ricardo Mones 2012-11-30 19:36:22 CET
There is no news on this so I assume this was fixed by a newer version.

Feel free to reopen if you can reproduce with 3.9.0.